Bug 143601 - visor module drops connection
visor module drops connection
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-22 14:16 EST by Mark Cohen
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:21:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Cohen 2004-12-22 14:16:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
The visor module present in the latest 2.6.9-1.6 FC kernel appears to
be dropping the usb connection. Resulting in an inability to sync a
palm pilot over USB.

This does not happen in 2.6.8-1.521 kernels

Multiple attempts to sync will result in the kernel adding ttyUSB2 and
ttyUSB3.

Version-Release number of selected component (if applicable):
2.6.9-1.6_FC2smp, 2.6.9-1.6_FC2, 

How reproducible:
Always

Steps to Reproduce:
1. load usb and visor modules
2. connect palm device
3. press hotsync button and watch dmesg.
    

Actual Results:  Visor module loads, tries to assign ttys, then times out.

Expected Results:  Palm connects and applications like jpilot/gpilot
etc work

Additional info:
Comment 1 Dave Jones 2004-12-22 15:34:31 EST
this should be fixed in 1.9 which is in updates-testing right now.
Comment 2 Dave Jones 2005-04-16 01:21:20 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.